de.vc.jfo.rtf.listeners

## Class SimpleDataSource.ValueDescriptor

- java.lang.Object
- - de.vc.jfo.rtf.listeners.SimpleDataSource.ValueDescriptor

- Enclosing class:
    SimpleDataSource

      protected class SimpleDataSource.ValueDescriptor
      extends java.lang.Object

  Value assigned to a keyword.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOCUMENT`
    `static int` | `DOCUMENT_CONTENT`
    `static int` | `DOCUMENT_RESTART`
    `static int` | `LIST_ITEMS`
    `static int` | `SIMPLE`
    `static int` | `TABLE_COLUMN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInstances()`
    `int` | `getType()` Gets the type of the value.
    `java.lang.Object` | `getValue()` Gets the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIMPLE

          public static final int SIMPLE

      See Also:
        Constant Field Values

    - #### TABLE_COLUMN

          public static final int TABLE_COLUMN

      See Also:
        Constant Field Values

    - #### LIST_ITEMS

          public static final int LIST_ITEMS

      See Also:
        Constant Field Values

    - #### DOCUMENT

          public static final int DOCUMENT

      See Also:
        Constant Field Values

    - #### DOCUMENT_RESTART

          public static final int DOCUMENT_RESTART

      See Also:
        Constant Field Values

    - #### DOCUMENT_CONTENT

          public static final int DOCUMENT_CONTENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Gets the value.
      - SIMPLE - Any object; most Strings and XML-nodes.
      - TABLE_COLUMN - Object array. Each element for a row in column.
      - LIST_ITEMS - Object arrays. Each element for one list item.
      - DOCUMENT - de.vc.jfo.Document
      - DOCUMENT_RESTART - de.vc.jfo.Document
      - DOCUMENT_CONTENT - de.vc.jfo.Document
      Returns:
        Object

    - #### getType

          public int getType()

      Gets the type of the value.
      - SIMPLE - simple value like Strings or XML-nodes.
      - TABLE_COLUMN - set of values for a table column.
      - LIST_ITEMS - set of values for a list.
      - DOCUMENT - document; page numbering is not restarted
      - DOCUMENT_RESTART - document; page number is restarted
      - DOCUMENT_CONTENT - only content of a document (no page-settings etc)
      Returns:
        int

    - #### getInstances

          public int getInstances()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.